Bug 446076 - [RHEL5 U2] iwl4965 -> compat module taints kernel
[RHEL5 U2] iwl4965 -> compat module taints kernel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: John W. Linville
Martin Jenner
:
Depends On:
Blocks: 432382
  Show dependency treegraph
 
Reported: 2008-05-12 12:21 EDT by Brian Hardbarger
Modified: 2009-06-19 23:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:24:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages file (393.28 KB, application/octet-stream)
2008-05-12 12:25 EDT, Brian Hardbarger
no flags Details
jwltest-mac80211-compat-module-license.patch (402 bytes, patch)
2008-05-14 17:49 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Brian Hardbarger 2008-05-12 12:21:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5) Gecko/2008042803 Red Hat/3.0b5-0.beta5.6.el5 Firefox/3.0b5

Description of problem:
I have a Lenovo ThinkPad T61 with Intel Wireless card Intel Pro/Wireless 4965 abgn.  This hardware causes the module iwl4965 and mac80211 to be loaded, along with a module called "compat".  This "compat" module causes the following message in dmesg:

 kernel: compat: module license 'unspecified' taints kernel.

If I disable the wireless card in the BIOS, this message goes away, and the kernel is not tainted.

I found this while running hts for certification.

Version-Release number of selected component (if applicable):
kernel-2.6.18-92.el5

How reproducible:
Always


Steps to Reproduce:
1. Load the 5.2 GMC code. Deselect Virtualization.  Take default options.
2. Boot system.
3. Loot at dmesg | grep taint -- the module compat taints the kernel.

Actual Results:
Kernel is tainted.

Expected Results:
Kernel should not be tainted by this module.

Additional info:
Comment 1 Brian Hardbarger 2008-05-12 12:25:21 EDT
Created attachment 305143 [details]
/var/log/messages file

My /var/log/messages file -- note that on the last boot, the kernel tainted
message goes away -- this is because I prevented the iwlwifi module from
loading by disabling it in the BIOS.
Comment 2 John W. Linville 2008-05-14 17:49:15 EDT
Created attachment 305407 [details]
jwltest-mac80211-compat-module-license.patch
Comment 3 John W. Linville 2008-05-14 17:50:15 EDT
Above patch is in the test kernels here:

   http://people.redhat.com/linville/kernels/rhel5/

Do they resolve the issue?
Comment 4 Xu Bo 2008-05-14 22:55:54 EDT
John, howdy,

Would this patch be possible to be added into the RHEL5.2 GA? This bug would
affect our hardware certification process on RHEL5.2 GA.

Thanks,
/Xu
Comment 5 John W. Linville 2008-05-15 14:14:42 EDT
I think it is too late for 5.2 -- maybe Don will contradict me.
Comment 6 Don Zickus 2008-05-15 15:06:01 EDT
It is too late for 5.2.  You will have to go through SEG to get this into 5.2.z
Comment 7 John W. Linville 2008-08-14 16:07:21 EDT
New test kernels with an alternative fix are here:

   http://people.redhat.com/linville/kernels/rhel5/

Please give them a try and verify that the problem disappears...thanks!
Comment 9 Don Zickus 2008-09-02 23:39:44 EDT
in kernel-2.6.18-107.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 15 Chris Ward 2008-11-28 02:14:31 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 16 Chris Ward 2008-12-18 05:39:01 EST
~~ Snapshot 6 is out ~~ Partners, please test and let us know if this bug has been fixed. Add PartnerVerified keyword if everything works as expected. For any new issues encountered, CLONE this bug and report the issues in the new bug.
Comment 18 errata-xmlrpc 2009-01-20 15:24:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.